View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000348OpenFOAM[All Projects] Bugpublic2011-11-30 10:402013-07-02 19:00
Reportermwild 
Assigned Tohenry 
PriorityhighSeveritymajorReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.0.x 
Target VersionFixed in Version 
Summary0000348: The dot-product operator for two SymmTensor's returns a SymmTensor instead of a Tensor
DescriptionThe author assumed that the dot product of two symmetric tensors is again symmetric, which in general is not the case.
TagsNo tags attached.
Attached Filespatch file icon 0001-FIX-Dot-product-of-SymmTensor-s-is-not-symmetric.patch [^] (4,121 bytes) 2011-11-30 10:41 [Show Content]
patch file icon 0001-FIX-innerProduct-type-of-SymmTensor-s-should-be-Tens.patch [^] (1,687 bytes) 2013-07-02 16:36 [Show Content]

- Relationships

-  Notes
(0000855)
mwild (reporter)
2011-12-21 05:41

Just wanted to ask whether this will be fixed now hat 2.1.0 is released?
(0000857)
henry (manager)
2011-12-21 07:56

Yes we will fix this along with other pending issues.
(0000858)
mwild (reporter)
2011-12-21 08:17

What strikes me as really odd, is that nobody stumbled across this gross bug before. One would assume that the dot product of two symmetric tensors isn't such a rarely used functionality...
(0000873)
henry (manager)
2011-12-28 15:54

Thanks for your bug-report and the carefully crafted patch. I have applied the patch and propagated the changes through the field algebra layers and run the test loop on the resulting code.

Resolved by commit 913f0ed8b63b2a46cad4bf3979bca7a92fa65f5b
(0002298)
mwild (reporter)
2013-07-02 16:35

This bug is still not fully resolved (sorry, I just stumbled across it now). The partial specialization of the innerProduct meta-function for two SymmTensor arguments is still returning SymmTensor instead of Tensor. This bug is then e.g. exposed in Foam::dot(SymmTensor<Cmpt> const&, SymmTensor<Cmpt> const&). Attached patch 0001-FIX-innerProduct-type-of-SymmTensor-s-should-be-Tens.patch fixes this and adds a regression test.
(0002299)
henry (manager)
2013-07-02 19:00

Resolved by commit c4a742b4ea323e5001fb1ed7f64203d237bb4e92

- Issue History
Date Modified Username Field Change
2011-11-30 10:40 mwild New Issue
2011-11-30 10:41 mwild File Added: 0001-FIX-Dot-product-of-SymmTensor-s-is-not-symmetric.patch
2011-12-21 05:41 mwild Note Added: 0000855
2011-12-21 07:56 henry Note Added: 0000857
2011-12-21 08:17 mwild Note Added: 0000858
2011-12-28 15:54 henry Note Added: 0000873
2011-12-28 15:54 henry Status new => resolved
2011-12-28 15:54 henry Resolution open => fixed
2011-12-28 15:54 henry Assigned To => henry
2013-07-02 16:35 mwild Note Added: 0002298
2013-07-02 16:35 mwild Status resolved => feedback
2013-07-02 16:35 mwild Resolution fixed => reopened
2013-07-02 16:36 mwild File Added: 0001-FIX-innerProduct-type-of-SymmTensor-s-should-be-Tens.patch
2013-07-02 19:00 henry Note Added: 0002299
2013-07-02 19:00 henry Status feedback => resolved
2013-07-02 19:00 henry Resolution reopened => fixed